<?php

function daysBetween($date1, $date2)
{
    $d1 = explode("-", $date1);
    $d2 = explode("-", $date2);
  
    $year1 = $d1[0];
    $month1 = $d1[1];
    $day1 = $d1[2];

    $year2 =  $d2[0];
    $month2 = $d2[1];
    $day2 = $d2[2];
   
    $deadline1 = mktime(0, 0, 0, $month1, $day1, $year1, 0);
    $deadline2 = mktime(0, 0, 0, $month2, $day2, $year2, 0);

    /* If you dont put 0 at last parameter both mktime calls, and
       a Daylight Saving Time is not specified,
       a float days number can be returned. Is better to pass 0
       in both mktimes and round the result: */
   
    $res = round( ($deadline2 - $deadline1) / (60 * 60 * 24) );
    return $res;
}

if(!function_exists('str_split')){
  function str_split($string,$len = 1) {
        if ($len < 1) return false;
    for($i=0, $rt = Array();$i<ceil(strlen($string)/$len);$i++) 
      $rt[$i] = substr($string, $len*$i, $len); 
    return($rt);
  } 
}

function odmiana($odmiany, $int){ // $odmiany = Array('jeden','dwa','pi��')
  $txt = $odmiany[2];
  if ($int == 1) $txt = $odmiany[0];
  $jednosci = (int) substr($int,-1);
  $reszta = $int % 100;
  if (($jednosci > 1 && $jednosci < 5) &! ($reszta > 10 && $reszta < 20))
    $txt = $odmiany[1];
  return $txt;
}

function liczba($int,$slowa){ // odmiana dla liczb < 1000
  //global $slowa;
  $wynik = '';
  $j = abs((int) $int);

  if ($j == 0) return $slowa[1][0];
  $jednosci = $j % 10;
  $dziesiatki = ($j % 100 - $jednosci) / 10;
  $setki = ($j - $dziesiatki*10 - $jednosci) / 100;

  if ($setki > 0) $wynik .= $slowa[4][$setki-1].' ';

  if ($dziesiatki > 0)
        if ($dziesiatki == 1) $wynik .= $slowa[2][$jednosci].' ';
  else
    $wynik .= $slowa[3][$dziesiatki-1].' ';

  if ($jednosci > 0 && $dziesiatki != 1) $wynik .= $slowa[1][$jednosci].' ';
  return $wynik;
}

function slownie($int,$slowa){

  //global $slowa;

  $in = preg_replace('/[^-\d]+/','',$int);
  $out = '';

  if ($in{0} == '-'){
    $in = substr($in, 1);
    $out = $slowa[0].' ';
  }

  $txt = str_split(strrev($in), 3);

  if ($in == 0) $out = $slowa[1][0].' ';

  for ($i = count($txt) - 1; $i >= 0; $i--){
    $liczba = (int) strrev($txt[$i]);
    //echo 'z'.$out.'<br />';
    //echo $liczba.'<br />';
    if ($liczba > 0)
      if ($i == 0)
        $out .= liczba($liczba,$slowa).' ';
          else
        $out .= ($liczba > 1 ? liczba($liczba,$slowa).' ' : '')
          .odmiana( $slowa[4 + $i], $liczba).' ';
  }
  
  return trim($out);
}
?>